# Uses of Interface
java.lang.classfile.AnnotationValue.OfEnum

Packages that use AnnotationValue.OfEnum
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of AnnotationValue.OfEnum in java.lang.classfile

Methods in java.lang.classfile that return AnnotationValue.OfEnum
Modifier and Type
Method
Description
`static AnnotationValue.OfEnum`
AnnotationValue.`ofEnum(Utf8Entry className, Utf8Entry constantName)`
Returns an enum value for an element-value pair.
`static AnnotationValue.OfEnum`
AnnotationValue.`ofEnum(ClassDesc className, String constantName)`
Returns an enum value for an element-value pair.